Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class FreeformViewport

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Viewport
              org.eclipse.draw2d.FreeformViewport

All Implemented Interfaces:
  PropertyChangeListener, EventListener, IFigure

    public class FreeformViewport

extends Viewport

A viewport for `FreeformFigures`. FreeformFigures can only reside in this type of viewport.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Viewport
`PROPERTY_VIEW_LOCATION`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`FreeformViewport()` Constructs a new FreeformViewport.

Method Summary
`protected void` `readjustScrollBars()` Readjusts the scrollbars.
`protected boolean` `useLocalCoordinates()` Returns `true`.

Methods inherited from class org.eclipse.draw2d.Viewport

`getClientArea, getContents, getContentsTracksHeight, getContentsTracksWidth, getHorizontalRangeModel, getVerticalRangeModel, getViewLocation, isCoordinateSystem, paintClientArea, propertyChange, setContents, setContentsTracksHeight, setContentsTracksWidth, setHorizontalLocation, setHorizontalRangeModel, setIgnoreScroll, setVerticalLocation, setVerticalRangeModel, setViewLocation, setViewLocation, translateFromParent, translateToParent, useGraphicsTranslate, validate`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateToAbsolute, translateToRelative`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeformViewport

    public FreeformViewport()

  Constructs a new FreeformViewport. This viewport must use graphics translation to scroll the FreeformFigures inside of it.

Method Detail

### readjustScrollBars

    protected void readjustScrollBars()

  Readjusts the scrollbars. In doing so, it gets the freeform extent of the contents and unions this rectangle with this viewport's client area, then sets the contents freeform bounds to be this unioned rectangle. Then proceeds to set the scrollbar values based on this new information.

  Overrides:
    `readjustScrollBars` in class `Viewport`
  See Also:
    `Viewport.readjustScrollBars()`

### useLocalCoordinates

    protected boolean useLocalCoordinates()

  Returns `true`.

  Overrides:
    `useLocalCoordinates` in class `Figure`
  Returns:
    `true` if this Figure uses local coordinates
  See Also:
    `Figure.useLocalCoordinates()`

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.